Package org.apache.sysds.runtime.einsum

# Enum Class EOpNodeUnary.EUnaryOperand

java.lang.Object
java.lang.Enum<EOpNodeUnary.EUnaryOperand>
org.apache.sysds.runtime.einsum.EOpNodeUnary.EUnaryOperand

All Implemented Interfaces:
  `Serializable`, `Comparable<EOpNodeUnary.EUnaryOperand>`, `Constable`

Enclosing class:
  EOpNodeUnary

public static enum EOpNodeUnary.EUnaryOperand extends Enum<EOpNodeUnary.EUnaryOperand>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DIAG`
`SUM`
`SUM_COLS`
`SUM_ROWS`
`TRACE`

## Method Summary

Modifier and Type
Method
Description
`static EOpNodeUnary.EUnaryOperand`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EOpNodeUnary.EUnaryOperand[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DIAG

public static final EOpNodeUnary.EUnaryOperand DIAG

### TRACE

public static final EOpNodeUnary.EUnaryOperand TRACE

### SUM

public static final EOpNodeUnary.EUnaryOperand SUM

### SUM_COLS

public static final EOpNodeUnary.EUnaryOperand SUM_COLS

### SUM_ROWS

public static final EOpNodeUnary.EUnaryOperand SUM_ROWS

## Method Details

### values

public static EOpNodeUnary.EUnaryOperand[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EOpNodeUnary.EUnaryOperand valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null